Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wcts.configuration
Class WCTSConfiguration

    java.lang.Object
      org.deegree.ogcwebservices.getcapabilities.OGCCapabilities
          org.deegree.owscommon_1_1_0.OWSCommonCapabilities
              org.deegree.ogcwebservices.wcts.capabilities.WCTSCapabilities
                  org.deegree.ogcwebservices.wcts.configuration.WCTSConfiguration

All Implemented Interfaces:
  Serializable

    public class WCTSConfiguration

extends WCTSCapabilities

`WCTSConfiguration` holds some configuration options as well as a timer to rebuild the contents of the capabilities.

Version:
  $Revision:$, $Date:$
Author:
  Rutger Bezema, last edited by: $Author:$
See Also:
  Serialized Form

Field Summary
`(package private) static ILogger` | `LOG`

Constructor Summary
`WCTSConfiguration(String version, String updateSequence, ServiceIdentification serviceIdentification, ServiceProvider serviceProvider, OperationsMetadata operationsMetadata, Content contents, WCTSDeegreeParams deegreeParams)`
`WCTSConfiguration(WCTSCapabilities capabilities, WCTSDeegreeParams deegreeParams)`

Method Summary
`WCTSDeegreeParams` | `getDeegreeParams()`

Methods inherited from class org.deegree.ogcwebservices.wcts.capabilities.WCTSCapabilities
`getContents`

Methods inherited from class org.deegree.owscommon_1_1_0.OWSCommonCapabilities
`getOperationsMetadata, getServiceIdentification, getServiceProvider`

Methods inherited from class org.deegree.ogcwebservices.getcapabilities.OGCCapabilities
`getUpdateSequence, getVersion, setUpdateSequence, setVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOG

    static final ILogger LOG

Constructor Detail

### WCTSConfiguration

    public WCTSConfiguration(String version,
                             String updateSequence,
                             ServiceIdentification serviceIdentification,
                             ServiceProvider serviceProvider,
                             OperationsMetadata operationsMetadata,
                             Content contents,
                             WCTSDeegreeParams deegreeParams)

Parameters:
  `version` -
  `updateSequence` -
  `serviceIdentification` -
  `serviceProvider` -
  `operationsMetadata` -
  `contents` -
  `deegreeParams` - which will hold this service specific parameters.

### WCTSConfiguration

    public WCTSConfiguration(WCTSCapabilities capabilities,
                             WCTSDeegreeParams deegreeParams)

Parameters:
  `capabilities` -
  `deegreeParams` -

Method Detail

### getDeegreeParams

    public final WCTSDeegreeParams getDeegreeParams()

  Returns:
    the deegreeParams.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org